
Katello - Tracker #7125

Docker Content Support

08/18/2014 09:46 AM - Eric Helms

Status: Closed % Done: 0%

Priority: Normal   

Assignee: David Davis   

Category: Container   

Target version:    

Difficulty: hard Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Related issues:

Related to Docker - Tracker #7645: Docker compute resource support Closed

Related to Katello - Feature #7925: As a docker user, I'd like to be able to ... Resolved 10/13/2014

Related to Katello - Feature #7938: As a CLI user, I want to view docker images Closed 10/14/2014

Related to Runcible - Bug #8102: Need to add a runcible a test syncing a dock... Rejected

Related to Katello - Feature #8113: show docker tag counts instead of (or wit... Closed 10/27/2014

Blocked by Katello - Feature #7124: As an API user, I would like to CRUD 'Doc... Closed 08/18/2014

Blocked by Katello - Feature #7506: As an API user, I want to sync a Docker r... Closed 09/17/2014

Blocked by Katello - Feature #7578: As a CLI user, I should be able to manage... Closed 09/22/2014

Blocked by Katello - Feature #7126: As an API user, I would like to upload a ... Closed 08/18/2014

Blocked by Katello - Feature #7127: As a UI user, I would like to view the co... Closed 08/18/2014

Blocked by Katello - Feature #7128: As a user, I would like to sync Docker im... Closed 08/18/2014

Blocked by Katello - Feature #7598: As a UI user, I should be able to manage ... Closed 09/23/2014

Blocked by Katello - Feature #7599: As a Runcible user, I should be able to m... Closed 09/23/2014

Blocked by Katello - Feature #7602: As a UI user, I should be able to sync Do... Closed 09/23/2014

Blocked by Katello - Feature #7603: As an API user, I should be able to promo... Closed 09/23/2014

Blocked by Katello - Feature #7604: As a UI user, make sure I can upload dock... Closed 09/23/2014

Blocked by Katello - Feature #7606: As a CLI user, I should be able to sync D... Closed 09/23/2014

Blocked by Katello - Feature #7526: Upgrade to pulp 2.5 Closed 09/18/2014

Blocked by Katello - Feature #7607: As a CLI user, I should be able to upload... Closed 09/23/2014

Blocked by Katello - Feature #7642: As an API user, I would like to view the ... Closed 09/25/2014

Blocked by Katello - Feature #7765: As a Runcible user, I should be able to v... Closed 10/01/2014

Blocked by Katello - Feature #7779: As a katello-installer user, I want to be... Closed 10/02/2014

Blocked by Katello - Feature #7789: As a user, I want to publish content view... Closed 10/02/2014

Blocked by Katello - Feature #7792: As a user, I want to promote content view... Closed 10/02/2014

Blocked by Katello - Feature #7788: As a CLI user, I want to add docker repos... Closed 10/02/2014

Blocked by Katello - Feature #7782: As a docker user, I should be able to run... Closed 10/02/2014

Blocked by Katello - Feature #7787: As a API user, I want to add docker repos... Closed 10/02/2014

Blocked by Katello - Feature #7786: As a UI user, I want to add docker reposi... Closed 10/02/2014

Blocked by Katello - Feature #7780: As a user, when installing a capsule with... Resolved 10/02/2014

Blocked by Katello - Feature #7783: As a UI user, I want to view docker conte... Closed 10/02/2014

Blocked by Katello - Feature #7781: As a docker user, I want to docker pull i... Closed 10/02/2014

Blocked by Katello - Feature #7793: As a UI user, I want to change the Red Ha... Closed 10/02/2014

Blocked by Katello - Feature #7795: As a user, i should be able to easily dep... Duplicate 10/02/2014

Blocked by Katello - Feature #7796: As a I user, I want to enable docker repo... Closed 10/02/2014

Blocked by Katello - Feature #7798: As a user, I want to import a manifest th... Closed 10/02/2014

Blocked by Katello - Feature #7799: As a user, I want to view docker informat... Rejected
Blocked by Katello - Feature #7800: Update the content dashboard to ensure it... Resolved 10/02/2014

Blocked by Katello - Feature #7807: As a UI user, I want to view docker conte... Closed 10/03/2014

Blocked by Katello - Feature #7808: As a UI/API user, I would like to compare... Rejected

Blocked by Katello - Feature #7811: As a user, I want the system to automatic... Rejected

Blocked by Katello - Feature #7810: As a user, I want to remove docker images... Closed 10/03/2014

Blocked by Katello - Feature #8101: Show docker pull url for repository detai... Closed 10/24/2014

Blocked by Katello - Feature #7950: As an API user, I should be able to add/r... Closed 10/15/2014

Blocked by Katello - Feature #8103: As an admin user, I should be able to pro... Duplicate 10/24/2014

Blocked by Katello - Feature #8118: Add foreman_docker dependency to Katello Closed 10/27/2014

Blocked by Katello - Feature #8129: Docker Image/Tag href's displayed on the ... Closed 10/27/2014

Blocked by Katello - Feature #8079: Need a way to update docker tags in runcible Closed 10/23/2014

Blocked by Katello - Bug #8203: hammer  repository info commands need to show... Closed 10/29/2014

Blocked by Katello - Feature #8242: Consider adding docker tag API/CLI Closed 11/03/2014

Blocked by Docker - Bug #8375: When I upload the same image to two repositori... Closed 11/12/2014

Blocked by Katello - Bug #8222: When I upload a docker image with a tag that ... Closed 10/30/2014

Blocked by Katello - Bug #8437: Combine the docker-tag and docker-image comma... Closed 11/18/2014

Blocked by Katello - Feature #8511: Add a remove-content command to the CLI Closed 11/25/2014

Blocked by Katello - Feature #8562: Extend or disable the docker api from for... Closed 12/03/2014

Blocked by Katello - Bug #8610: Some repo commands like package-group, docker... Closed 12/08/2014

Blocked by Katello - Bug #8636: Need to include katello-default-ca-cert for d... Closed 12/09/2014

Blocked by Docker - Bug #8409: Failure when creating a container with an imag... Closed 11/15/2014

Blocked by Docker - Bug #8637: cannot pull/create containers from local regis... Closed 12/09/2014

Blocked by Katello - Bug #8634: Update katello code based on updates to forem... Closed 12/09/2014

Blocked by Katello - Feature #8836: CV version details page needs to show doc... Closed 01/05/2015

Blocked by Katello - Feature #8918: As a user I would like to provision new c... Closed 01/12/2015

Blocked by Katello - Feature #8958: Show tag info on the manage docker image ... Closed 01/14/2015

Blocked by Katello - Feature #8959: Repo create pages need to be clearer for ... Closed 01/14/2015

Blocked by Katello - Bug #9226: hammer repository info does not show docker-u... Closed 02/04/2015

Blocked by Katello - Bug #9276: Add some tests for new DockerTag methods Closed 02/06/2015

Blocked by Docker - Feature #9310: Add Katello features to the foreman_docker... Closed

Blocked by Katello - Feature #7797: As a user, I want to use katello-disconne... Rejected 10/02/2014

Blocked by Katello - Feature #7784: As a fortello user, I want to be able to ... Rejected 10/02/2014

Blocked by Katello - Feature #9518: Need to be able to create containers from... Closed 02/23/2015

Blocked by Katello - Feature #9601: Add documentation on how to use Docker Closed 03/01/2015

Blocked by Katello - Feature #9689: Add some BATS tests for the Docker features Rejected

Blocked by Docker - Bug #9690: HammerCLIForemanDocker: I should be able to fi... Closed 03/09/2015

Blocked by Katello - Bug #9738: The docker tag names aren't being displayed p... Rejected

Associated revisions

Revision 8a2168ad - 10/09/2014 09:06 AM - David Davis

Merge pull request #4717 from Katello/docker

Refs #7125 - Intial docker and pulp 2.5 changes

History

#1 - 08/18/2014 09:46 AM - Eric Helms

- Blocked by Feature #7124: As an API user, I would like to CRUD 'Docker' repository. added

#2 - 08/18/2014 09:47 AM - Eric Helms

- Blocks Feature #7126: As an API user, I would like to upload a Docker image. added

#3 - 08/18/2014 09:48 AM - Eric Helms

- Blocks Feature #7127: As a UI user, I would like to view the content of a Docker repository. added
#4 - 08/18/2014 09:49 AM - Eric Helms

- Blocks Feature #7128: As a user, I would like to sync Docker images from the Red Hat CDN. added

#5 - 08/18/2014 09:50 AM - Eric Helms

- translation missing: en.field_story_points set to 19.0

#6 - 08/18/2014 10:01 AM - Eric Helms

- Subject changed from Docker Content Support to As a user, I should have content support for Docker.

#7 - 08/18/2014 11:04 AM - Eric Helms

- Tracker changed from Feature to Tracker

#8 - 09/17/2014 11:26 AM - David Davis

- Blocked by Feature #7506: As an API user, I want to sync a Docker repository from a Docker registery added

#9 - 09/22/2014 11:40 AM - David Davis

- Blocked by Feature #7578: As a CLI user, I should be able to manage Docker repositories. added

#10 - 09/23/2014 10:50 AM - Eric Helms

- Blocks deleted (Feature #7126: As an API user, I would like to upload a Docker image.)

#11 - 09/23/2014 10:50 AM - Eric Helms

- Blocked by Feature #7126: As an API user, I would like to upload a Docker image. added

#12 - 09/23/2014 10:50 AM - Eric Helms

- Blocks deleted (Feature #7127: As a UI user, I would like to view the content of a Docker repository.)

#13 - 09/23/2014 10:50 AM - Eric Helms

- Blocks Feature #7127: As a UI user, I would like to view the content of a Docker repository. added

#14 - 09/23/2014 10:51 AM - Eric Helms

- Blocks deleted (Feature #7128: As a user, I would like to sync Docker images from the Red Hat CDN.)

#15 - 09/23/2014 10:51 AM - Eric Helms

- Blocks Feature #7128: As a user, I would like to sync Docker images from the Red Hat CDN. added

#16 - 09/23/2014 10:52 AM - Eric Helms

- Blocks deleted (Feature #7127: As a UI user, I would like to view the content of a Docker repository.)

#17 - 09/23/2014 10:52 AM - Eric Helms

- Blocked by Feature #7127: As a UI user, I would like to view the content of a Docker repository. added

#18 - 09/23/2014 10:52 AM - Eric Helms

- Blocks deleted (Feature #7128: As a user, I would like to sync Docker images from the Red Hat CDN.)

#19 - 09/23/2014 10:52 AM - Eric Helms

- Blocked by Feature #7128: As a user, I would like to sync Docker images from the Red Hat CDN. added

#20 - 09/23/2014 10:56 AM - Eric Helms

- Blocked by Feature #7598: As a UI user, I should be able to manage Docker repositories. added

#21 - 09/23/2014 11:01 AM - Eric Helms

- Blocked by Feature #7599: As a Runcible user, I should be able to manage Docker repositories. added

#22 - 09/23/2014 11:34 AM - Eric Helms

- Blocked by Feature #7602: As a UI user, I should be able to sync Docker repositories. added
#23 - 09/23/2014 11:37 AM - Eric Helms

- Blocked by Feature #7603: As an API user, I should be able to promote Docker repositories within a Content View. added

#24 - 09/23/2014 11:39 AM - Eric Helms

- Blocked by Feature #7604: As a UI user, make sure I can upload docker images added

#25 - 09/23/2014 11:43 AM - Eric Helms

- Blocked by Feature #7606: As a CLI user, I should be able to sync Docker repositories. added

#26 - 09/23/2014 11:53 AM - Eric Helms

- Blocked by Feature #7526: Upgrade to pulp 2.5 added

#27 - 09/23/2014 11:56 AM - Eric Helms

- Category set to Container

- translation missing: en.field_story_points deleted (19.0)

- Difficulty set to hard

#28 - 09/23/2014 11:59 AM - Eric Helms

- Blocked by Feature #7607: As a CLI user, I should be able to upload a Docker image to a repository. added

#29 - 09/24/2014 03:14 PM - Eric Helms

- Target version set to 58

#30 - 09/26/2014 08:29 AM - David Davis

- Blocked by Feature #7642: As an API user, I would like to view the content of a Docker repository. added

#31 - 09/26/2014 08:59 AM - Eric Helms

- Assignee set to David Davis

#32 - 09/26/2014 09:00 AM - Eric Helms

- Related to Tracker #7645: Docker compute resource support added

#33 - 09/29/2014 08:07 AM - Eric Helms

- Target version deleted (58)

#34 - 10/01/2014 02:20 PM - David Davis

- Blocked by Feature #7765: As a Runcible user, I should be able to view docker images for a repository added

#35 - 10/02/2014 01:03 PM - David Davis

- Blocked by Feature #7779: As a katello-installer user, I want to be able to install and configure Pulp Docker and Crane added

#36 - 10/02/2014 01:20 PM - David Davis

- Target version set to 58

#37 - 10/02/2014 02:17 PM - David Davis

- Blocked by Feature #7789: As a user, I want to publish content views with docker repos added

#38 - 10/02/2014 02:17 PM - David Davis

- Blocked by Feature #7792: As a user, I want to promote content views with docker repos added

#39 - 10/02/2014 02:17 PM - David Davis

- Blocked by Feature #7788: As a CLI user, I want to add docker repositories to content views added

#40 - 10/02/2014 02:18 PM - David Davis

- Related to Feature #7784: As a fortello user, I want to be able to install fortello without docker functionality added
#41 - 10/02/2014 02:18 PM - David Davis

- Blocked by Feature #7782: As a docker user, I should be able to run docker build on a local client and have it pull images from katello added

#42 - 10/02/2014 02:19 PM - David Davis

- Blocked by Feature #7787: As a API user, I want to add docker repositories to content views added

#43 - 10/02/2014 02:19 PM - David Davis

- Blocked by Feature #7786: As a UI user, I want to add docker repositories to content views added

#44 - 10/02/2014 02:20 PM - David Davis

- Blocked by Feature #7780: As a user, when installing a capsule with 'pulp/content' enabled, crane should be installed and configured added

#45 - 10/02/2014 02:21 PM - David Davis

- Blocked by Feature #7783: As a UI user, I want to view docker content for an environment added

#46 - 10/02/2014 02:22 PM - David Davis

- Blocked by Feature #7781: As a docker user, I want to docker pull images from katello added

#47 - 10/02/2014 02:34 PM - David Davis

- Blocks Feature #7793: As a UI user, I want to change the Red Hat docker CDN url added

#48 - 10/02/2014 02:35 PM - David Davis

- Blocks deleted (Feature #7793: As a UI user, I want to change the Red Hat docker CDN url)

#49 - 10/02/2014 02:38 PM - David Davis

- Blocked by Feature #7793: As a UI user, I want to change the Red Hat docker CDN url added

#50 - 10/02/2014 02:38 PM - David Davis

- Blocked by Feature #7795: As a user, i should be able to easily deploy docker images from katello docker repositories onto a docker compute

resource added

#51 - 10/02/2014 04:05 PM - David Davis

- Blocked by Feature #7796: As a I user, I want to enable docker repositories from the Red Hat CDN added

#52 - 10/02/2014 04:07 PM - David Davis

- Blocked by Feature #7797: As a user, I want to use katello-disconnected to sync docker content from the Red Hat CDN added

#53 - 10/02/2014 04:08 PM - David Davis

- Blocked by Feature #7798: As a user, I want to import a manifest that has docker content added

#54 - 10/02/2014 04:11 PM - David Davis

- Blocked by Feature #7799: As a user, I want to view docker information for a content host (subscription status, docker images running, docker

images pulled, etc) added

#55 - 10/02/2014 04:11 PM - David Davis

- Blocked by Feature #7800: Update the content dashboard to ensure it supports docker content (sync statuses, etc) added

#56 - 10/03/2014 09:39 AM - David Davis

- Blocked by Feature #7807: As a UI user, I want to view docker content for a content view added

#57 - 10/03/2014 10:13 AM - David Davis

- Blocked by Feature #7808: As a UI/API user, I would like to compare docker images (and tags) between two content view versions added

#59 - 10/03/2014 12:14 PM - David Davis

- Blocked by Feature #7811: As a user, I want the system to automatically remove orphaned docker images that have no tags added

#60 - 10/03/2014 12:15 PM - David Davis
- Blocked by Feature #7810: As a user, I want to remove docker images and puppet modules from a repository added

#61 - 10/09/2014 07:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#62 - 10/13/2014 01:12 PM - Brad Buckingham

- Related to Feature #7925: As a docker user, I'd like to be able to 'docker pull' content from katello added

#63 - 10/13/2014 04:13 PM - Eric Helms

- Target version changed from 58 to 61

#64 - 10/14/2014 08:51 AM - David Davis

- Related to Feature #7938: As a CLI user, I want to view docker images added

#65 - 10/24/2014 04:55 PM - Partha Aji

- Blocked by Feature #8101: Show docker pull url for repository details page  added

#66 - 10/24/2014 05:03 PM - Partha Aji

- Blocked by Feature #7950: As an API user, I should be able to add/remove Docker repositories within a Content View. added

#67 - 10/24/2014 05:52 PM - Partha Aji

- Related to Bug #8102: Need to add a runcible a test syncing a docker repo added

#68 - 10/24/2014 05:57 PM - Partha Aji

- Blocked by Feature #8103: As an admin user, I should be able to provide access control for docker pull. added

#69 - 10/27/2014 11:50 AM - David Davis

- Blocked by Feature #8118: Add foreman_docker dependency to Katello added

#70 - 10/27/2014 02:31 PM - Partha Aji

- Related to Feature #8113: show docker tag counts instead of (or with) image count added

#71 - 10/27/2014 11:16 PM - Partha Aji

- Related to Feature #8129: Docker Image/Tag href's displayed on the UI need to be updated added

#72 - 10/27/2014 11:39 PM - Partha Aji

- Related to deleted (Feature #8129: Docker Image/Tag href's displayed on the UI need to be updated)

#73 - 10/27/2014 11:39 PM - Partha Aji

- Blocked by Feature #8129: Docker Image/Tag href's displayed on the UI need to be updated added

#74 - 10/27/2014 11:47 PM - Partha Aji

- Blocked by Feature #8079: Need a way to update docker tags in runcible added

#75 - 10/29/2014 03:02 PM - Partha Aji

- Blocked by Bug #8203: hammer  repository info commands need to show docker totals added

#76 - 11/03/2014 08:15 AM - David Davis

- Blocked by Feature #8242: Consider adding docker tag API/CLI  added

#77 - 11/12/2014 11:43 AM - David Davis

- Blocked by Bug #8375: When I upload the same image to two repositories, I get a validation failure that the tag is not unique per image added

#78 - 11/14/2014 05:01 PM - David Davis

- Blocked by Bug #8222: When I upload a docker image with a tag that already exists in a repo, I erroneously get duplicate tags in Katello added

#79 - 11/18/2014 11:15 AM - David Davis
- Blocked by Bug #8437: Combine the docker-tag and docker-image commands to use one parent docker command added

#80 - 11/18/2014 11:15 AM - David Davis

- Blocked by Bug #8435: When I upload content (packages, docker images, puppet modules, etc) to a repo, I should see some sort of information or

progress bar added

#81 - 11/18/2014 03:49 PM - David Davis

- Blocked by deleted (Bug #8435: When I upload content (packages, docker images, puppet modules, etc) to a repo, I should see some sort of

information or progress bar)

#82 - 11/25/2014 01:54 PM - David Davis

- Blocked by Feature #8511: Add a remove-content command to the CLI added

#83 - 12/01/2014 08:49 AM - Eric Helms

- Target version changed from 61 to 62

#84 - 12/03/2014 10:09 AM - David Davis

- Blocked by Feature #8562: Extend or disable the docker api from foreman-docker added

#85 - 12/08/2014 03:19 PM - David Davis

- Blocked by Bug #8610: Some repo commands like package-group, docker image, docker tag list don't have a --per-page option added

#86 - 12/09/2014 07:04 PM - Partha Aji

- Blocked by Bug #8636: Need to include katello-default-ca-cert for docker added

#87 - 12/09/2014 07:05 PM - Partha Aji

- Blocked by Bug #8409: Failure when creating a container with an image not in the host  added

#88 - 12/09/2014 07:28 PM - Partha Aji

- Blocked by Bug #8637: cannot pull/create containers from local registry  (multi registry not working) added

#89 - 12/10/2014 11:38 AM - David Davis

- Blocked by Bug #8634: Update katello code based on updates to foreman-docker added

#90 - 01/05/2015 08:41 AM - Eric Helms

- Target version changed from 62 to 63

#91 - 01/05/2015 02:17 PM - Eric Helms

- translation missing: en.field_release changed from 14 to 23

#92 - 01/05/2015 08:42 PM - Partha Aji

- Blocked by Feature #8836: CV version details page needs to show docker repo information added

#93 - 01/07/2015 04:51 PM - Eric Helms

- Subject changed from As a user, I should have content support for Docker. to Docker Content Support

#94 - 01/12/2015 07:56 PM - Partha Aji

- Blocked by Feature #8918: As a user I would like to provision new container using katello repositories added

#95 - 01/14/2015 05:07 PM - David Davis

- Blocked by Feature #8958: Show tag info on the manage docker image screen added

#96 - 01/14/2015 10:53 PM - Partha Aji

- Blocked by Feature #8959: Repo create pages need to be clearer for docker content type added

#97 - 01/23/2015 04:58 PM - Eric Helms

- Target version deleted (63)
#98 - 02/04/2015 06:12 PM - Partha Aji

- Related to Bug #9226: hammer repository info does not show docker-upstream-name value added

#99 - 02/04/2015 06:12 PM - Partha Aji

- Related to deleted (Bug #9226: hammer repository info does not show docker-upstream-name value)

#100 - 02/04/2015 06:13 PM - Partha Aji

- Blocked by Bug #9226: hammer repository info does not show docker-upstream-name value added

#101 - 02/06/2015 07:04 PM - David Davis

- Blocked by Bug #9276: Add some tests for new DockerTag methods added

#102 - 02/06/2015 07:30 PM - Eric Helms

- translation missing: en.field_release deleted (23)

#103 - 02/10/2015 10:43 AM - David Davis

- Blocked by Feature #9310: Add Katello features to the foreman_docker CLI added

#104 - 02/16/2015 05:10 PM - David Davis

- Blocked by deleted (Feature #7797: As a user, I want to use katello-disconnected to sync docker content from the Red Hat CDN)

#105 - 02/16/2015 05:14 PM - David Davis

- Blocked by Feature #7797: As a user, I want to use katello-disconnected to sync docker content from the Red Hat CDN added

#106 - 02/16/2015 07:25 PM - David Davis

- Related to deleted (Feature #7784: As a fortello user, I want to be able to install fortello without docker functionality)

#107 - 02/16/2015 07:25 PM - David Davis

- Blocked by Feature #7784: As a fortello user, I want to be able to install fortello without docker functionality added

#108 - 02/23/2015 03:25 PM - David Davis

- Blocked by Feature #9518: Need to be able to create containers from content views through the API added

#109 - 03/01/2015 03:20 PM - David Davis

- Blocked by Feature #9601: Add documentation on how to use Docker added

#110 - 03/09/2015 05:46 PM - David Davis

- Blocked by Feature #9689: Add some BATS tests for the Docker features added

#111 - 03/09/2015 05:52 PM - David Davis

- Blocked by Bug #9690: HammerCLIForemanDocker: I should be able to filter tags by content view and lifecycle environment added

#112 - 03/12/2015 05:06 PM - David Davis

- Blocked by Bug #9738: The docker tag names aren't being displayed properly in the CLI added

#113 - 12/21/2015 06:32 PM - Eric Helms

- translation missing: en.field_release set to 114

#114 - 08/28/2019 08:13 PM - John Mitsch

- Target version deleted (Katello Backlog)

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.

#115 - 08/24/2023 01:38 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed
